package com.liquidnet.service.kylin.dto.vo.returns;

import com.liquidnet.service.kylin.dto.vo.mongo.KylinOrderTicketVo;
import com.liquidnet.service.kylin.entity.KylinFields;
import lombok.Data;

import java.util.List;

@Data
public class OrderDetailsVo implements Cloneable {
    private KylinOrderTicketVo orderTicketVo;
    private String enterDescribe;
    private Integer expressStatus;
    private Long restTime;
    private Integer isCanRefund;

    private Integer isShowQrCode;
    private String showQrCodeTime;
    private Integer isCanTransfer;

    private List<KylinOrderRefundsOrderCodeVo> orderRefundsVoList;

    private static final OrderDetailsVo obj = new OrderDetailsVo();

    public static OrderDetailsVo getNew() {
        try {
            return (OrderDetailsVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new OrderDetailsVo();
        }
    }
}
